## python-bleach 1.2.2

=== requirements.txt ===
# These are the requirements to run the test suite.
nose==1.3.0
html5lib==0.9.5

=== debian/changelog ===
python-bleach (1.2.2-1) unstable; urgency=low

  * Initial release (Closes: #686902)

 -- Per Andersson <avtobiff@gmail.com>  Sun, 09 Jun 2013 19:46:56 +0200

=== debian/control ===
Source: python-bleach
Section: python
Priority: optional
Maintainer: Per Andersson <avtobiff@gmail.com>
Standards-Version: 3.9.4
Build-Depends:
 debhelper (>= 7.0.50~),
 python-all,
 python-setuptools
Homepage: http://github.com/jsocol/bleach/
Vcs-Git: git://anonscm.debian.org/collab-maint/python-bleach.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-bleach.git;a=summary

Package: python-bleach
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: whitelist-based HTML-sanitizing library
 Bleach is an HTML sanitizing library that escapes or strips markup and
 attributes based on a white list. Bleach can also linkify text safely,
 applying filters that Django's urlize filter cannot, and optionally setting
 rel attributes, even on links already in the text.
 .
 Bleach is intended for sanitizing text from untrusted sources. If you find
 yourself jumping through hoops to allow your site administrators to do lots of
 things, you're probably outside the use cases. Either trust those users, or
 don't.
 .
 Because it relies on html5lib, Bleach is as good as modern browsers at dealing
 with weird, quirky HTML fragments. And any of Bleach's methods will fix
 unbalanced or mis-nested tags.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/jsocol/bleach/ v(.*)\.tar\.gz

## python-bleach 1.4

=== requirements.txt ===
six
html5lib>=0.999
# Requirements to run the test suite:
nose
flake8

=== debian/changelog ===
python-bleach (1.4-1) unstable; urgency=low

  * New upstream release
    - License changed to Apache License 2.0
    - Add python*-six to Build-Dependends
  * Shipping both python2 and python3 packages
    - Add python3-html5lib to Build-Dependends
  * Running tests during build
    - Add python*-nose Build-Dependends
  * Packaging license changed to Apache License 2.0
  * Bumped Standards-Version to 3.9.5, no changes needed
  * Add common doc package
    - Binary packages suggests this package
    - Add python*-sphinx to Build-Depends

 -- Per Andersson <avtobiff@gmail.com>  Fri, 14 Feb 2014 00:59:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,34 @@
 Section: python
 Priority: optional
 Maintainer: Per Andersson <avtobiff@gmail.com>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends:
- debhelper (>= 7.0.50~),
- python-all,
- python-setuptools
+ debhelper (>= 8),
+ dh-python,
+ python-docutils,
+ python3-all,
+ python3-nose,
+ python3-setuptools,
+ python3-sphinx (>= 1.0.7+dfsg-1~),
+ python-all (>= 2.6.6-3~),
+ python-nose,
+ python-setuptools,
+ python-sphinx (>= 1.0.7+dfsg-1~),
+ python3-html5lib,
+ python3-six,
+ python-html5lib,
+ python-six
 Homepage: http://github.com/jsocol/bleach/
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-bleach.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-bleach.git;a=summary
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 
 Package: python-bleach
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-Description: whitelist-based HTML-sanitizing library
+Suggests: python-bleach-doc
+Description: whitelist-based HTML-sanitizing library (Python 2)
  Bleach is an HTML sanitizing library that escapes or strips markup and
  attributes based on a white list. Bleach can also linkify text safely,
  applying filters that Django's urlize filter cannot, and optionally setting
@@ -28,3 +43,47 @@
  Because it relies on html5lib, Bleach is as good as modern browsers at dealing
  with weird, quirky HTML fragments. And any of Bleach's methods will fix
  unbalanced or mis-nested tags.
+ .
+ This is the Python 2 version of the package.
+
+Package: python3-bleach
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}
+Suggests: python-bleach-doc
+Description: whitelist-based HTML-sanitizing library (Python 3)
+ Bleach is an HTML sanitizing library that escapes or strips markup and
+ attributes based on a white list. Bleach can also linkify text safely,
+ applying filters that Django's urlize filter cannot, and optionally setting
+ rel attributes, even on links already in the text.
+ .
+ Bleach is intended for sanitizing text from untrusted sources. If you find
+ yourself jumping through hoops to allow your site administrators to do lots of
+ things, you're probably outside the use cases. Either trust those users, or
+ don't.
+ .
+ Because it relies on html5lib, Bleach is as good as modern browsers at dealing
+ with weird, quirky HTML fragments. And any of Bleach's methods will fix
+ unbalanced or mis-nested tags.
+ .
+ This is the Python 3 version of the package.
+
+Package: python-bleach-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Description: whitelist-based HTML-sanitizing library (common documentation)
+ Bleach is an HTML sanitizing library that escapes or strips markup and
+ attributes based on a white list. Bleach can also linkify text safely,
+ applying filters that Django's urlize filter cannot, and optionally setting
+ rel attributes, even on links already in the text.
+ .
+ Bleach is intended for sanitizing text from untrusted sources. If you find
+ yourself jumping through hoops to allow your site administrators to do lots of
+ things, you're probably outside the use cases. Either trust those users, or
+ don't.
+ .
+ Because it relies on html5lib, Bleach is as good as modern browsers at dealing
+ with weird, quirky HTML fragments. And any of Bleach's methods will fix
+ unbalanced or mis-nested tags.
+ .
+ This is the common documentation package.

## python-bleach 1.4.2

=== requirements.txt ===
ordereddict
six
html5lib>=0.999
# Requirements to run the test suite:
nose
flake8

=== debian/changelog ===
python-bleach (1.4.2-1) unstable; urgency=low

  [ Per Andersson ]
  * Bump debhelper compat level to 9 (level 8 is required in Build-Depends).
  * Add extend-diff-ignore for egg.info in debian/source/options.
  * d/watch: Use github.com, githubredir is deprecated.
  * Use my @debian.org address.
  * Use HTTPS protocol for Homepage and Vcs-* fields.

  [ Christopher Baines ]
  * New upstream release.
    - Includes fix upstream fix for #798441 (Closes: #798441).
  * Up standards version to 3.9.6, no changes required.

 -- Per Andersson <avtobiff@debian.org>  Mon, 22 Feb 2016 20:38:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: python-bleach
 Section: python
 Priority: optional
-Maintainer: Per Andersson <avtobiff@gmail.com>
-Standards-Version: 3.9.5
+Maintainer: Per Andersson <avtobiff@debian.org>
+Uploaders: Christopher Baines <mail@cbaines.net>
+Standards-Version: 3.9.6
 Build-Depends:
  debhelper (>= 8),
  dh-python,
@@ -19,9 +20,9 @@
  python3-six,
  python-html5lib,
  python-six
-Homepage: http://github.com/jsocol/bleach/
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-bleach.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-bleach.git;a=summary
+Homepage: https://github.com/jsocol/bleach/
+Vcs-Git: https://anonscm.debian.org/collab-maint/python-bleach.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-bleach.git;a=summary
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=bleach

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -O--buildsystem=pybuild
	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml docs/ build/html

override_dh_auto_test:
	nosetests
	nosetests3

## python-bleach 2.0

=== requirements.txt ===
-e .

# Requirements to run the test suite:
pytest==3.0.6
pytest-wholenodeid
flake8==3.3.0
tox==2.4.1

# Requirements for building docs
Sphinx==1.5.2

# Requirements for updating package
twine==1.8.1

=== debian/changelog ===
python-bleach (2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #844943)
    - Update minimum htmlib5 version requirement
    - Update debian/copyright
    - Drop override of dh_auto_test and add pytest/3 and pytest/3-runner to
      build-depends so tests still run
    - Drop obsolete build-depends on python/3-nose
  * Agreed maintainer change to DPMT
    - Updated Vcs-* fields in debian/control

 -- Scott Kitterman <scott@kitterman.com>  Fri, 10 Mar 2017 14:08:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,32 @@
 Source: python-bleach
 Section: python
 Priority: optional
-Maintainer: Per Andersson <avtobiff@debian.org>
-Uploaders: Christopher Baines <mail@cbaines.net>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Scott Kitterman <scott@kitterman.com>, Per Andersson <avtobiff@debian.org>, Christopher Baines <mail@cbaines.net>
 Standards-Version: 3.9.6
 Build-Depends:
  debhelper (>= 8),
  dh-python,
+ python-pytest (>= 3.0.0~),
+ python3-pytest (>= 3.0.0~),
+ python-pytest-runner (>= 2.0~),
+ python3-pytest-runner (>= 2.0~),
+ python-pytest-runner (<< 3.0~),
+ python3-pytest-runner (<< 3.0~),
  python-docutils,
  python3-all,
- python3-nose,
  python3-setuptools,
  python3-sphinx (>= 1.0.7+dfsg-1~),
  python-all (>= 2.6.6-3~),
- python-nose,
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg-1~),
- python3-html5lib,
+ python3-html5lib (>= 0.999999999~),
  python3-six,
- python-html5lib,
+ python-html5lib (>= 0.999999999~),
  python-six
 Homepage: https://github.com/jsocol/bleach/
-Vcs-Git: https://anonscm.debian.org/collab-maint/python-bleach.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-bleach.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-bleach.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-bleach.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## python-bleach 2.1.2

=== debian/changelog ===
python-bleach (2.1.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.1.3 without further change
  * Bump minimum debhelper version to 9 to match compat

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Jan 2018 23:32:15 -0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Per Andersson <avtobiff@debian.org>, Christopher Baines <mail@cbaines.net>
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  dh-python,
  python-pytest (>= 3.0.0~),
  python3-pytest (>= 3.0.0~),

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,3 @@
 	dh_auto_build -O--buildsystem=pybuild
 	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml docs/ build/html
 
-override_dh_auto_test:
-	nosetests
-	nosetests3

=== debian/watch ===
version=3
https://github.com/jsocol/bleach/tags .*/v?(\d[\d\.]+)\.tar\.gz

## python-bleach 2.1.3

=== debian/changelog ===
python-bleach (2.1.3-1) unstable; urgency=high

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Scott Kitterman ]
  * New upstream release (Closes: #892252)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 07 Mar 2018 14:07:14 -0500

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
  python-html5lib (>= 0.999999999~),
  python-six
 Homepage: https://github.com/jsocol/bleach/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-bleach.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-bleach.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-bleach.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-bleach
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## python-bleach 3.1.0

=== debian/changelog ===
python-bleach (3.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937614

 -- Sandro Tosi <morph@debian.org>  Wed, 13 Nov 2019 14:10:41 -0500

python-bleach (3.1.0-1) unstable; urgency=medium

  * New upstream release
    - Update patches
  * Set minimum python/python3-six version to >= 1.9~ in Build-Depends

 -- Scott Kitterman <scott@kitterman.com>  Tue, 15 Jan 2019 00:46:11 -0500

python-bleach (3.0.2-2) unstable; urgency=medium

  * python3-bleach Breaks python3-readme-renderer << 24.0
  * Mark python-bleach-doc Multi-Arch: foreign
  * Add debian/patches/remove-privacy-breach.patch to remove unnecessary
    external references in documentation

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Dec 2018 03:31:53 -0500

python-bleach (3.0.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Scott Kitterman ]
  * Add missing depends on python/3-pkg-resources
  * Bump standards-version to 4.3.0 without further change
  * Add autopkgtest
  * New upstream release
    - Bump minimum html5lib versions to 1.0.1 and add
      debian/patches/no_vendored_html5lib.patch so we use the system
      python/3-html5lib
    - Manually add python/3-html5lib to depends
    - Add vendored htmllib license/copyright information to debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Mon, 24 Dec 2018 18:45:57 -0500

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=bleach

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -O--buildsystem=pybuild
	PYTHONPATH=. http_proxy='localhost' python3 -m sphinx -N -bhtml docs/ build/html

## python-bleach 3.1.1

=== debian/changelog ===
python-bleach (3.1.1-1) unstable; urgency=high

  * New upstream security release (Closes: #951907)
  * Temporarily disable tests due to #945522 in order to get this security
    update published

 -- Scott Kitterman <scott@kitterman.com>  Sat, 22 Feb 2020 18:21:10 -0500

=== debian/control ===
Source: python-bleach
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>, Per Andersson <avtobiff@debian.org>, Christopher Baines <mail@cbaines.net>
Standards-Version: 4.4.1
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 python3-pytest (>= 3.0.0~),
 python3-pytest-runner (>= 2.0~),
 python3-pytest-runner (<< 3.0~),
 python3-docutils,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 1.0.7+dfsg-1~),
 python3-html5lib (>= 1.0.1~),
 python3-six (>= 1.9~),
Homepage: https://github.com/jsocol/bleach/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-bleach.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-bleach

Package: python3-bleach
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources, python3-html5lib (>= 1.0.1~)
Breaks: python3-readme-renderer (<<24.0)
Suggests: python-bleach-doc
Description: whitelist-based HTML-sanitizing library (Python 3)
 Bleach is an HTML sanitizing library that escapes or strips markup and
 attributes based on a white list. Bleach can also linkify text safely,
 applying filters that Django's urlize filter cannot, and optionally setting
 rel attributes, even on links already in the text.
 .
 Bleach is intended for sanitizing text from untrusted sources. If you find
 yourself jumping through hoops to allow your site administrators to do lots of
 things, you're probably outside the use cases. Either trust those users, or
 don't.
 .
 Because it relies on html5lib, Bleach is as good as modern browsers at dealing
 with weird, quirky HTML fragments. And any of Bleach's methods will fix
 unbalanced or mis-nested tags.
 .
 This is the Python 3 version of the package.

Package: python-bleach-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: whitelist-based HTML-sanitizing library (common documentation)
 Bleach is an HTML sanitizing library that escapes or strips markup and
 attributes based on a white list. Bleach can also linkify text safely,
 applying filters that Django's urlize filter cannot, and optionally setting
 rel attributes, even on links already in the text.
 .
 Bleach is intended for sanitizing text from untrusted sources. If you find
 yourself jumping through hoops to allow your site administrators to do lots of
 things, you're probably outside the use cases. Either trust those users, or
 don't.
 .
 Because it relies on html5lib, Bleach is as good as modern browsers at dealing
 with weird, quirky HTML fragments. And any of Bleach's methods will fix
 unbalanced or mis-nested tags.
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=pybuild
 	PYTHONPATH=. http_proxy='localhost' python3 -m sphinx -N -bhtml docs/ build/html
+
+override_dh_auto_test:
+	# Temporary until either python3.7/3.8 get fixed or bleach gets fixed

## python-bleach 3.1.2

=== debian/changelog ===
python-bleach (3.1.2-0+deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * sanitizer: escape HTML comments (CVE-2021-23980) (Closes: #986251)
  * tests: add tests for more eject tags for GHSA-vv2x-vrpj-qqpq

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 15 Apr 2021 20:57:08 +0200

python-bleach (3.1.2-0+deb10u1) buster-security; urgency=high

  * New upstream security release (Closes: #954236)
    - Addresses CVE-2020-6816

 -- Scott Kitterman <scott@kitterman.com>  Thu, 19 Mar 2020 00:14:11 -0400

python-bleach (3.1.1-0+deb10u1) buster-security; urgency=high

  * New upstream security release (Closes: #951907)
    - Addresses CVE-2020-6802

 -- Scott Kitterman <scott@kitterman.com>  Thu, 27 Feb 2020 05:53:52 -0500

## python-bleach 3.1.2.1

=== debian/changelog ===
python-bleach (3.1.2.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 268df4c258bad0e91257bd1e90f90c2406e0b6f7']

 -- shuttle <shuttle@deepin.com>  Thu, 30 Jul 2020 14:26:03 +0000

## python-bleach 3.2.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Bleach.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Bleach.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Bleach"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Bleach"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-bleach (3.2.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * sanitizer: escape HTML comments (CVE-2021-23980) (Closes: #986251)
  * tests: add tests for more eject tags for GHSA-vv2x-vrpj-qqpq

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 03 Apr 2021 17:17:55 +0200

python-bleach (3.2.1-2) unstable; urgency=medium

  * Team upload.

  [ Dmitry Shachnev ]
  * Add "set -e" to the autopkgtest, to make it fail if tests fail for one
    of supported Python versions.

  [ Lee Garrett ]
  * Fix FTBFS with python3.9 (Closes: #973096)

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Bump watchfile version to 4.
  * Bump debhelper compat version to 13.
    + d/rules: Use execute_after_* instead of override_*.
  * Set Rules-Requires-Root:no.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 18 Jan 2021 07:30:51 +0100

python-bleach (3.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release; Closes: #966985
  * debian/patches/0002-no_vendored_html5lib.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Sep 2020 22:31:21 -0400

python-bleach (3.1.5-2) unstable; urgency=medium

  * Restore missing Depends on python3-html5lib

 -- Scott Kitterman <scott@kitterman.com>  Thu, 30 Apr 2020 09:22:40 -0400

python-bleach (3.1.5-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends and, indirectly, Depends: python3-packaging required
    now instead of python3-pkg-resources
  * Bump standards-version to 4.5.0 without further change
  * Update debhelper-compat from 9 (deprecated) to 12
  * Update debian/rules to remove vendored html5lib from the binary package
    - It was never used and we shouldn't ship it
  * Update debian/patches/0002-no_vendored_html5lib.patch to also address
    tests/test_clean.py

 -- Scott Kitterman <scott@kitterman.com>  Wed, 29 Apr 2020 23:30:38 -0400

python-bleach (3.1.4-1) unstable; urgency=high

  * New upstream security release (CVE-2020-6817) (Closes: #955388)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 30 Mar 2020 19:48:37 -0400

python-bleach (3.1.3-1) unstable; urgency=medium

  * Tests re-enabled now the python3.7/3.8 have reverted the problematic
    change
  * New upstream security release (Closes: #954236)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 19 Mar 2020 00:04:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,30 @@
 Source: python-bleach
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Per Andersson <avtobiff@debian.org>, Christopher Baines <mail@cbaines.net>
-Standards-Version: 4.4.1
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 13),
  dh-python,
  python3-pytest (>= 3.0.0~),
  python3-pytest-runner (>= 2.0~),
  python3-pytest-runner (<< 3.0~),
  python3-docutils,
  python3-all,
+ python3-packaging,
  python3-setuptools,
  python3-sphinx (>= 1.0.7+dfsg-1~),
  python3-html5lib (>= 1.0.1~),
  python3-six (>= 1.9~),
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://github.com/jsocol/bleach/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-bleach.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-bleach
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-bleach.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bleach
 
 Package: python3-bleach
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources, python3-html5lib (>= 1.0.1~)
+Depends: ${misc:Depends}, ${python3:Depends}, python3-html5lib (>= 1.0.1~)
 Breaks: python3-readme-renderer (<<24.0)
 Suggests: python-bleach-doc
 Description: whitelist-based HTML-sanitizing library (Python 3)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=bleach

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='localhost' python3 -m sphinx -N -bhtml docs/ build/html

execute_after_dh_auto_install:
	# Don't ship the vendored html5lib in the binary, not used
	rm -rf $(CURDIR)/debian/python3-bleach/usr/lib/python3.*/dist-packages/bleach/_vendor

=== debian/watch ===
version=4
https://github.com/jsocol/bleach/tags .*/v?(\d[\d\.]+)\.tar\.gz

## python-bleach 4.1.0

=== debian/changelog ===
python-bleach (4.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Gordon Ball ]
  * Update homepage, copyright, watch URLs to github.com/mozilla/bleach
  * New upstream version 4.1.0
  * Refresh patches
  * Add PSF license for vendored python 3.6 urllib.parse
  * Ensure autopkgtest uses the installed library rather than the copy in the
    source package.

 -- Gordon Ball <gordon@chronitis.net>  Sat, 09 Oct 2021 21:29:30 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-six (>= 1.9~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://github.com/jsocol/bleach/
+Homepage: https://github.com/mozilla/bleach/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bleach.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bleach

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,5 @@
 
 execute_after_dh_auto_install:
 	# Don't ship the vendored html5lib in the binary, not used
-	rm -rf $(CURDIR)/debian/python3-bleach/usr/lib/python3.*/dist-packages/bleach/_vendor
+	rm -rf $(CURDIR)/debian/python3-bleach/usr/lib/python3.*/dist-packages/bleach/_vendor/html5lib*
+	rm -rf $(CURDIR)/debian/python3-bleach/usr/lib/python3.*/dist-packages/bleach/_vendor/vendor*

=== debian/tests/control ===
Tests: py3
Depends: @, python3-pytest, python3-pytest-runner, python3-all, python3-setuptools, python3-html5lib, python3-six
Restrictions: allow-stderr

## python-bleach 5.0.0

=== debian/changelog ===
python-bleach (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: Extend with some more defaults
  * New upstream version 5.0.0
  * Rebuild patch queue from patch-queue branch
    Refresh and rename existing packages.
  * d/{tests/}control: Running wrap-and-sort -ast
    No modifications, only sorting the content by wrap-and-sort.
  * d/u/metadata: Adding some basic metadata
  * d/control: Sort binary packages alphabetical
  * d/control: Split of B-D into additional B-D-I
  * d/control: Increase Standards-Version to 4.6.1
    No further modifications needed.
  * d/rules: Remove README.rst from packages site
  * autopkgtest: Rework and extend testing stuff

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 22 Jun 2022 21:13:23 +0200

python-bleach (4.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-html5lib,
      python3-pytest, python3-pytest-runner, python3-six and python3-sphinx.
    + python3-bleach: Drop versioned constraint on python3-html5lib in Depends.
    + python3-bleach: Drop versioned constraint on python3-readme-renderer in
      Breaks.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 20:45:47 +0100

=== debian/control ===
Source: python-bleach
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Scott Kitterman <scott@kitterman.com>,
 Per Andersson <avtobiff@debian.org>,
 Christopher Baines <mail@cbaines.net>,
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-docutils,
 python3-html5lib,
 python3-packaging,
 python3-pytest,
 python3-pytest-runner,
 python3-pytest-runner (<< 3.0~),
 python3-setuptools,
 python3-six,
 python3-sphinx,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/mozilla/bleach/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-bleach.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bleach

Package: python-bleach-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: whitelist-based HTML-sanitizing library (common documentation)
 Bleach is an HTML sanitizing library that escapes or strips markup and
 attributes based on a white list. Bleach can also linkify text safely,
 applying filters that Django's urlize filter cannot, and optionally setting
 rel attributes, even on links already in the text.
 .
 Bleach is intended for sanitizing text from untrusted sources. If you find
 yourself jumping through hoops to allow your site administrators to do lots of
 things, you're probably outside the use cases. Either trust those users, or
 don't.
 .
 Because it relies on html5lib, Bleach is as good as modern browsers at dealing
 with weird, quirky HTML fragments. And any of Bleach's methods will fix
 unbalanced or mis-nested tags.
 .
 This is the common documentation package.

Package: python3-bleach
Architecture: all
Depends:
 python3-html5lib,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-bleach-doc,
Description: whitelist-based HTML-sanitizing library (Python 3)
 Bleach is an HTML sanitizing library that escapes or strips markup and
 attributes based on a white list. Bleach can also linkify text safely,
 applying filters that Django's urlize filter cannot, and optionally setting
 rel attributes, even on links already in the text.
 .
 Bleach is intended for sanitizing text from untrusted sources. If you find
 yourself jumping through hoops to allow your site administrators to do lots of
 things, you're probably outside the use cases. Either trust those users, or
 don't.
 .
 Because it relies on html5lib, Bleach is as good as modern browsers at dealing
 with weird, quirky HTML fragments. And any of Bleach's methods will fix
 unbalanced or mis-nested tags.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,4 @@
 	# Don't ship the vendored html5lib in the binary, not used
 	rm -rf $(CURDIR)/debian/python3-bleach/usr/lib/python3.*/dist-packages/bleach/_vendor/html5lib*
 	rm -rf $(CURDIR)/debian/python3-bleach/usr/lib/python3.*/dist-packages/bleach/_vendor/vendor*
+	rm -rf $(CURDIR)/debian/python3-bleach/usr/lib/python3.*/dist-packages/bleach/_vendor/README.rst

## python-bleach 5.0.1

=== debian/changelog ===
python-bleach (5.0.1-2) unstable; urgency=medium

  * Team upload.

  [ Scott Kitterman ]
  * Remove myself from uploaders

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact.
  * Update standards version to 4.6.2, no changes needed.

  [ Colin Watson ]
  * Recommend python3-tinycss2 (closes: #1024833).

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Jan 2023 10:55:59 +0000

python-bleach (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.0.1
  * d/control: Clean up and add BuildProfileSpec data
  * d/rules: Use dh_sphinxdoc for documentation build
  * d/copyright: Update year data
  * d/u/metadata: Add entry for Security-Contact

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 11 Dec 2022 12:21:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,22 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Scott Kitterman <scott@kitterman.com>,
  Per Andersson <avtobiff@debian.org>,
  Christopher Baines <mail@cbaines.net>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3-all,
 Build-Depends-Indep:
- dh-python,
+ python-tinycss2-doc <!nodoc>,
  python3-docutils,
- python3-html5lib,
+ python3-html5lib <!nocheck !nodoc>,
  python3-packaging,
- python3-pytest,
- python3-pytest-runner,
- python3-pytest-runner (<< 3.0~),
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-six,
- python3-sphinx,
-Standards-Version: 4.6.1
+ python3-sphinx <!nodoc>,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/mozilla/bleach/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bleach.git
@@ -56,6 +54,8 @@
  python3-html5lib,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ python3-tinycss2,
 Suggests:
  python-bleach-doc,
 Description: whitelist-based HTML-sanitizing library (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,23 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
+
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
+SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
+
 export PYBUILD_NAME=bleach
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-execute_after_dh_auto_build:
-	PYTHONPATH=. http_proxy='localhost' python3 -m sphinx -N -bhtml docs/ build/html
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=src python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-bleach-doc/usr/share/doc/python-bleach-doc/html
+	dh_sphinxdoc
+endif
 
 execute_after_dh_auto_install:
 	# Don't ship the vendored html5lib in the binary, not used

=== debian/tests/control ===
Tests: upstream-tests
Depends:
 python3-all,
 python3-html5lib,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
 python3-six,
 @,
Restrictions: allow-stderr

## python-bleach 6.0.0

=== debian/changelog ===
python-bleach (6.0.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 21 Jun 2023 19:18:15 +0200

python-bleach (6.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 6.0.0
  * Rebuild patch queue from patch-queue branch
    Modified patch:
    Don-t-vendor-the-included-html5lib.patch
  * d/control: Fix BuildProfileSpecs syntax
  * d/copyright: Update years data of contributors

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 26 May 2023 15:26:17 +0200

## python-bleach 6.1.0

=== Makefile ===
DEFAULT_GOAL := help
PROJECT=bleach

.PHONY: help
help:
	@echo "Available rules:"
	@fgrep -h "##" Makefile | fgrep -v fgrep | sed 's/\(.*\):.*##/\1:  /'

.PHONY: test
test:  ## Run tests
	tox

.PHONY: docs
docs:  ## Build docs
	tox -e py39-docs

.PHONY: lint
lint:  ## Lint files
	black --target-version=py37 --exclude=_vendor setup.py bleach/ tests/ tests_website/
	tox -e py39-lint
	tox -e py39-format-check

.PHONY: vendorverify
vendorverify:  ## Verify vendored files
	tox -e py39-vendorverify

.PHONY: clean
clean:  ## Clean build artifacts
	rm -rf build dist ${PROJECT}.egg-info .tox .pytest_cache
	rm -rf docs/_build/*
	rm -rf .eggs
	find . -name __pycache__ | xargs rm -rf
	find . -name '*.pyc' | xargs rm -rf

=== debian/changelog ===
python-bleach (6.1.0-2) unstable; urgency=medium

  * Team upload.
  * Drop explicit dependency on python3-six, this will be pulled-in
    by python3-html5lib as long as needed. (Closes: #1039010)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 02 Jan 2024 01:24:47 +0100

python-bleach (6.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.1.0
  * Rebuild patch queue from patch-queue branch
    Modified patch:
    Privacy-Don-t-link-to-external-resources.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 21 Oct 2023 19:25:20 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Build-Depends-Indep:
  python-tinycss2-doc <!nodoc>,
  python3-docutils,
- python3-html5lib <!nocheck !nodoc>,
+ python3-html5lib <!nocheck> <!nodoc>,
  python3-packaging,
  python3-pytest <!nocheck>,
  python3-setuptools,

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,5 @@
  python3-pytest,
  python3-pytest-runner,
  python3-setuptools,
- python3-six,
  @,
 Restrictions: allow-stderr

## python-bleach 6.2.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 .PHONY: lint
 lint:  ## Lint files
-	black --target-version=py37 --exclude=_vendor setup.py bleach/ tests/ tests_website/
+	tox exec -e py39-format-check -- black --target-version=py39 --exclude=_vendor setup.py bleach/ tests/ tests_website/
 	tox -e py39-lint
 	tox -e py39-format-check

=== debian/changelog ===
python-bleach (6.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Wed, 30 Oct 2024 18:47:23 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  dh-sequence-sphinxdoc,
  python3-all,
 Build-Depends-Indep:
+ pybuild-plugin-pyproject,
  python-tinycss2-doc <!nodoc>,
  python3-docutils,
  python3-html5lib <!nocheck> <!nodoc>,

=== debian/watch ===
version=4
https://github.com/mozilla/bleach/tags .*/v?(\d[\d\.]+)\.tar\.gz

## python-bleach 6.3.0

=== debian/changelog ===
python-bleach (6.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Nov 2025 14:36:47 +0000

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,7 @@
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/mozilla/bleach/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bleach.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bleach
